# OutflowFluidSettings(FluidSettings)

base classes — `bpy_struct`, `FluidSettings`

class `bpy.types.``OutflowFluidSettings`(FluidSettings)

  Fluid simulation settings for objects removing fluids from the simulation

  `use`

    Object contributes to the fluid simulation

    Type: | boolean, default False

  `use_animated_mesh`

    Export this mesh as an animated one (slower and enforces No Slip, only use if really necessary [e.g. armatures or parented objects], animated pos/rot/scale F-Curves do not require it)

    Type: | boolean, default False

  `volume_initialization`

    Volume initialization type (WARNING: complex volumes might require too much memory and break simulation)

    - `VOLUME` Volume, Use only the inner volume of the mesh.
    - `SHELL` Shell, Use only the outer shell of the mesh.
    - `BOTH` Both, Use both the inner volume and the outer shell of the mesh.

    Type: | enum in [‘VOLUME’, ‘SHELL’, ‘BOTH’], default ‘VOLUME’

Inherited Properties

`bpy_struct.id_data` | `FluidSettings.type`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`